summaryrefslogtreecommitdiff
path: root/qpid/bin
diff options
context:
space:
mode:
Diffstat (limited to 'qpid/bin')
-rwxr-xr-xqpid/bin/verify75
-rwxr-xr-xqpid/bin/verify_all12
2 files changed, 0 insertions, 87 deletions
diff --git a/qpid/bin/verify b/qpid/bin/verify
deleted file mode 100755
index f35db898cf..0000000000
--- a/qpid/bin/verify
+++ /dev/null
@@ -1,75 +0,0 @@
-#!/bin/sh
-# Driver script to verify installed examples (also used for build tests.)
-#
-# Usage: verify example_dir [ example_dir ...]
-# Where each example_dir must contain a verify sub-script to include.
-#
-# If $QPIDD is set, run a private QPIDD and use it.
-# If $QPID_HOST or $QPID_PORT are set, use them to connect.
-#
-
-export QPID_DATA_DIR=
-
-cleanup() {
- test -n "$QPIDD" && $QPIDD -q # Private broker
- kill %% > /dev/null 2>&1 # Leftover background jobs
-}
-
-trap cleanup EXIT
-
-ARGS="${QPID_HOST:-localhost} $QPID_PORT"
-
-outfile() { echo $1.out; }
-
-fail() { test -n "$*" && echo $* 1>&2 ; FAIL=1; return 1; }
-
-client() { "$@" $ARGS > `outfile $*` || fail; }
-
-clients() { for cmd in "$@"; do client $cmd; done; }
-
-waitfor() { until grep -a -l "$2" $1 >/dev/null 2>&1 ; do sleep 1 ; done ; }
-
-background() {
- pattern=$1; shift
- out=`outfile $*`
- eval "$* $ARGS > $out &" || { fail; return 1; }
- waitfor $out "$pattern"
-}
-
-outputs() {
- wait 2> /dev/null # Wait for all backgroud processes to complete
- rm -f $script.out
- for f in "$@"; do
- { echo "==== $f"; eval "cat $f"; } >> $script.out || fail
- done
-}
-
-verify() {
- FAIL=
- if [ -d $1 ]; then dir=$1; script=verify;
- else dir=`dirname $1`; script=`basename $1`; fi
- cd $dir || return 1
- { source ./$script && diff -ac $script.out $script.in ; } || fail
- test -z "$FAIL" && rm -f *.out
- return $FAIL
-}
-
-HEX="[a-fA-F0-9]"
-remove_uuid() {
- sed "s/$HEX\{8\}-$HEX\{4\}-$HEX\{4\}-$HEX\{4\}-$HEX\{12\}//g" $*
-}
-remove_uuid64() {
- sed 's/[-A-Za-z0-9_]\{22\}==$//' $*
-}
-
-# Start private broker if QPIDD is set.
-if [ -n "$QPIDD" ] ; then
- export QPID_PORT=`$QPIDD -dp0` || { echo "Cannot start $QPIDD" ; exit 1; }
- trap "$QPIDD -q" EXIT
-fi
-
-for example in "$@"; do
- echo -n "$example : "
- if ( verify $example; ) then echo "PASS"; else echo "FAIL"; RET=1; fi
- done
-exit $RET
diff --git a/qpid/bin/verify_all b/qpid/bin/verify_all
deleted file mode 100755
index 6be460c701..0000000000
--- a/qpid/bin/verify_all
+++ /dev/null
@@ -1,12 +0,0 @@
-#!/bin/sh
-# Find example verify scripts and run them.
-# Usage: verify_all search-dir
-
-if [ `basename $1` = examples ]; then exdirs=$1
-else exdirs=`find $1 -name examples -a -type d`; fi
-scripts=`find $exdirs -name verify -o -name verify_cpp_python -o -name verify_cpp_java`
-verify=`dirname $0`/verify
-for s in $scripts; do $verify $s; done
-
-
-